unit MyDialog;

interface

uses
  Windows, SysUtils, Classes, Controls, Forms, StdCtrls, ComCtrls;

type
  TConfigForm = class(TForm)
    CheckBox1: TCheckBox;
    TrackBar1: TTrackBar;
    Label1: TLabel;
    Label2: TLabel;
    procedure CheckBox1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  protected
    procedure CreateParams(var Params: TCreateParams); override;
  end;

var
  ConfigForm: TConfigForm;

implementation

uses Deinterlace;

{$R *.dfm}

procedure TConfigForm.CreateParams(var Params: TCreateParams);
begin
 inherited CreateParams(Params);
 Params.WndParent := g_hParent;
End;


procedure TConfigForm.TrackBar1Change(Sender: TObject);
begin
  Label2.Caption := IntToStr(TrackBar1.Position);

  if (not TrackBar1.Focused) then Exit;
  g_Settings.MyPar1 := TrackBar1.Position;
end;

procedure TConfigForm.CheckBox1Click(Sender: TObject);
begin
  if (not CheckBox1.Focused) then Exit;
  g_Settings.MyPar2 := CheckBox1.Checked;
end;

procedure TConfigForm.FormShow(Sender: TObject);
begin
  TrackBar1.Position := g_Settings.MyPar1;
  CheckBox1.Checked := g_Settings.MyPar2;
end;

procedure TConfigForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caHide;
end;

end.
